<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>发票作废</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">

        var validateForm;
        function doSubmit(obj){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
            //debugger
            if(validateForm.form()){
                if(obj == 1){
                    $("#inputForm").attr("action","${ctx}/workinvoice/workInvoice/cancleinvoice");
                }
                $("#inputForm").submit();
                return true;
            }
            return false;
        }
        $(document).ready(function() {

            validateForm = $("#inputForm").validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $("#messageBox").text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
        });
	</script>
</head>
<body>
<div class="single-form">
	<div class="container">
		<form:form id="inputForm" modelAttribute="workInvoice" action="${ctx}/workinvoice/workInvoice/cancleinvoice" method="post" class="form-horizontal">
			<form:hidden path="id"/>
			<input type="hidden" name="id" value="${workContractInfo.id}"/>
			<div class="form-group layui-row first">
				<div class="form-group-label"><h2>发票作废</h2></div>
				<div class="layui-item layui-col-sm12 with-textarea">
					<label class="layui-form-label "><span class="require-item">*</span>作废原因：</label>
					<div class="layui-input-block">
						<form:textarea path="cancleReason" htmlEscape="false" rows="4"  class="form-control required"/>
					</div>
				</div>
			</div>
		</form:form>
	</div>
</div>
</body>
</html>